Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc
Enum AttributeType

    java.lang.Object
      java.lang.Enum<AttributeType>
          nl.liacs.subdisc.AttributeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AttributeType>, EnumInterface

    public enum AttributeType

extends java.lang.Enum<AttributeType>
implements EnumInterface

AttributeType contains all available AttributeTypes.

Enum Constant Summary
`BINARY`
`NOMINAL`
`NUMERIC`
`ORDINAL`

Field Summary
`java.lang.String` | `DEFAULT_MISSING_VALUE` The default missing value for each AttributeType.

Method Summary
`static AttributeType` | `getAttributeType(java.lang.String theType)` Returns the AttributeType corresponding to the `String` parameter.
`static AttributeType` | `getDefault()` Returns the default AttributeType.
`static boolean` | `isValidBinaryFalseValue(java.lang.String theBooleanValue)` Returns whether the `String` parameter is considered to represent a valid `boolean` value of `false`.``
`static boolean` | `isValidBinaryTrueValue(java.lang.String theBooleanValue)` Returns whether the `String` parameter is considered to represent a valid `boolean` value of `true`.``
`java.lang.String` | `toString()` Returns a friendly `String to show in the GUI.`
`static AttributeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AttributeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOMINAL

    public static final AttributeType NOMINAL

### NUMERIC

    public static final AttributeType NUMERIC

### ORDINAL

    public static final AttributeType ORDINAL

### BINARY

    public static final AttributeType BINARY

Field Detail

### DEFAULT_MISSING_VALUE

    public final java.lang.String DEFAULT_MISSING_VALUE

  The default missing value for each AttributeType. To set a different missing value use `Column.setNewMissingValue()`.

Method Detail

### values

    public static AttributeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AttributeType c : AttributeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AttributeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getAttributeType

    public static AttributeType getAttributeType(java.lang.String theType)

  Returns the AttributeType corresponding to the `String` parameter. If the corresponding AttributeType can not be found, the default AttributeType NOMINAL is returned. This method is case insensitive.

  Parameters:
    `theType` - the `String` corresponding to an AtrtibuteType.
  Returns:
    the AttributeType corresponding to the `String` parameter, or AttributeType NOMINAL if no corresponding AttributeType is found.

### isValidBinaryTrueValue

    public static boolean isValidBinaryTrueValue(java.lang.String theBooleanValue)

  Returns whether the `String` parameter is considered to represent a valid `boolean` value of `true`. This method is case insensitive.

  ``
  Parameters:
    `theBooleanValue` - `String` to check.
  Returns:
    `true` if the `String` parameter is considered to represent a valid `boolean` value of `true`, `false` otherwise.``

### isValidBinaryFalseValue

    public static boolean isValidBinaryFalseValue(java.lang.String theBooleanValue)

  Returns whether the `String` parameter is considered to represent a valid `boolean` value of `false`. This method is case insensitive.

  ``
  Parameters:
    `theBooleanValue` - `String` to check.
  Returns:
    `true` if the `String` parameter is considered to represent a valid `boolean` value of `false`, `false` otherwise.``

### getDefault

    public static AttributeType getDefault()

  Returns the default AttributeType.

  Returns:
    the default AttributeType.

### toString

    public java.lang.String toString()

  Description copied from interface: `EnumInterface`
  Returns a friendly `String to show in the GUI.

  `
  Specified by:
    `toString` in interface `EnumInterface`
  Overrides:
    `toString` in class `java.lang.Enum<AttributeType>`
  Returns:
    the text `String` presented to the end user.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD